#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           aqdatabase
Version:	0.9.1
Release:	1.1
License:	GPL-2.0
Summary:	Database library used by AqFinance
Url:		http://www.aquamaniac.de/
Group:		System/Libraries/C and C++
Source:		%{name}-%{version}beta.tar.gz
BuildRequires:	gwenhywfar-devel >= 3.99.0 gmp-devel pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AqDatabase is a database layer used by AqFinance.

%package devel
Summary:	Development files for AqDatabase
Group:		Development/System
Requires:	%{name} = %{version}
Requires:	lib%{name}0 = %{version}

%description devel
Development package for the aqdatabase package, a database
layer used by AqFinance.

%package -n lib%{name}0
Summary:	Database library used by AqFinance
Group:		System/Libraries/C and C++

%description -n lib%{name}0
AqDatabase is a database layer used by AqFinance.

%prep
%setup -q -n %{name}-%{version}beta

%build
%configure
make build_sources
make

%install
%if 0%{?suse_version} < 1130 && 0%{?sles_version} == 11
make DESTDIR=$RPM_BUILD_ROOT install
%else
%make_install
%endif
rm $RPM_BUILD_ROOT%{_libdir}/lib%{name}.{a,la}

%post -n lib%{name}0
/sbin/ldconfig

%postun -n lib%{name}0
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_datadir}/%{name}

%files -n lib%{name}0
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Jan 21 2014 jcnengel@gmail.com
- Fix dependency for devel package
* Mon Jan 13 2014 jcnengel@gmail.com
- Update to 0.9.1
  * Be a bit less strict loading objects
* Tue Jan  7 2014 jcnengel@gmail.com
- Initial checkin
